GEOS: geos::triangulate::DelaunayTriangulationBuilder Class Reference

GEOS 3.5.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
geos::triangulate::DelaunayTriangulationBuilder Class Reference

`#include <DelaunayTriangulationBuilder.h>`

## Public Member Functions
| DelaunayTriangulationBuilder ()
void | setSites (const geom::Geometry &geom)
void | setSites (const geom::CoordinateSequence &coords)
void | setTolerance (double tolerance)
quadedge::QuadEdgeSubdivision & | getSubdivision ()
std::auto_ptr< geom::MultiLineString > | getEdges (const geom::GeometryFactory &geomFact)
std::auto_ptr< geom::GeometryCollection > | getTriangles (const geom::GeometryFactory &geomFact)

## Static Public Member Functions
static geom::CoordinateSequence * | extractUniqueCoordinates (const geom::Geometry &geom)
static void | unique (geom::CoordinateSequence &coords)
static IncrementalDelaunayTriangulator::VertexList * | toVertices (const geom::CoordinateSequence &coords)
static geom::Envelope | envelope (const geom::CoordinateSequence &coords)

## Detailed Description

A utility class which creates Delaunay Triangulations from collections of points and extract the resulting triangulation edges or triangles as geometries.

Author
  JTS: Martin Davis
  Benjamin Campbell

## Constructor & Destructor Documentation

geos::triangulate::DelaunayTriangulationBuilder::DelaunayTriangulationBuilder | ( |  | ) |

Creates a new triangulation builder.

## Member Function Documentation

static geom::Envelope geos::triangulate::DelaunayTriangulationBuilder::envelope | ( | const geom::CoordinateSequence & | coords | ) |
| static

Computes the Envelope of a collection of Coordinates.

Parameters

  coords | a List of Coordinates

Returns
  the envelope of the set of coordinates

static geom::CoordinateSequence* geos::triangulate::DelaunayTriangulationBuilder::extractUniqueCoordinates | ( | const geom::Geometry & | geom | ) |
| static

Extracts the unique Coordinates from the given Geometry.

Parameters

  geom | the geometry to extract from

Returns
  a List of the unique Coordinates. Caller takes ownership of the returned object.

std::auto_ptr<geom::MultiLineString> geos::triangulate::DelaunayTriangulationBuilder::getEdges | ( | const geom::GeometryFactory & | geomFact | ) |

Gets the edges of the computed triangulation as a MultiLineString.

Parameters

  geomFact | the geometry factory to use to create the output

Returns
  the edges of the triangulation. The caller takes ownership of the returned object.

quadedge::QuadEdgeSubdivision& geos::triangulate::DelaunayTriangulationBuilder::getSubdivision | ( |  | ) |

Gets the quadedge::QuadEdgeSubdivision which models the computed triangulation.

Returns
  the subdivision containing the triangulation

std::auto_ptr<geom::GeometryCollection> geos::triangulate::DelaunayTriangulationBuilder::getTriangles | ( | const geom::GeometryFactory & | geomFact | ) |

Gets the faces of the computed triangulation as a GeometryCollection of Polygon.

Parameters

  geomFact | the geometry factory to use to create the output

Returns
  the faces of the triangulation. The caller takes ownership of the returned object.

void geos::triangulate::DelaunayTriangulationBuilder::setSites | ( | const geom::Geometry & | geom | ) |

Sets the sites (vertices) which will be triangulated. All vertices of the given geometry will be used as sites.

Parameters

  geom | the geometry from which the sites will be extracted.

void geos::triangulate::DelaunayTriangulationBuilder::setSites | ( | const geom::CoordinateSequence & | coords | ) |

Sets the sites (vertices) which will be triangulated from a collection of Coordinates.

Parameters

  geom | a CoordinateSequence.

void geos::triangulate::DelaunayTriangulationBuilder::setTolerance | ( | double | tolerance | ) |
| inline

Sets the snapping tolerance which will be used to improved the robustness of the triangulation computation. A tolerance of 0.0 specifies that no snapping will take place.

Parameters

  tolerance | the tolerance distance to use

static IncrementalDelaunayTriangulator::VertexList* geos::triangulate::DelaunayTriangulationBuilder::toVertices | ( | const geom::CoordinateSequence & | coords | ) |
| static

Converts all Coordinates in a collection to Vertexes.

Parameters

  coords | the coordinates to convert

Returns
  a List of Vertex objects. Call takes ownership of returned object.

The documentation for this class was generated from the following file:

- DelaunayTriangulationBuilder.h